﻿// <copyright company="PEER Group GmbH">
//    Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

namespace SpreadsheetOwnerErrorSampleV3.Core.Prism
{
	/// <summary>
	/// The interface defining the functionality to remove a view from a region.
	/// </summary>
	public interface IRegionRemovable
	{
		/// <summary>
		/// Called to determine whether the remove is allowed.
		/// </summary>
		/// <param name="regionName">The name of the region.</param>
		/// <returns>
		/// <c>true</c> if remove allowed; otherwise, <c>false</c>.
		/// </returns>
		bool IsRemoveAllowed(string regionName);

		/// <summary>
		/// Called when this item is removed from the specified region.
		/// </summary>
		/// <param name="regionName">Name of the region.</param>
		void Remove(string regionName);
	}
}
