﻿using System;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using SpreadsheetOwnerErrorSampleV3.Core.Regions;
using SpreadsheetOwnerErrorSampleV3.Views;

namespace SpreadsheetOwnerErrorSampleV3.Modules
{
	public class NavigationModule : IModule
	{
		internal const string NAME = "NavigationModule";

		private readonly IUnityContainer mContainer;
		private readonly IRegionManager mRegionManager;

		public NavigationModule(IUnityContainer container, IRegionManager regionManager)
		{
			mContainer = container;
			mRegionManager = regionManager;
		}

		/// <inheritdoc />
		public void Initialize()
		{
			try
			{
				//mContainer.RegisterType<IActiveDocumentTracker, ActiveDocumentTracker>(
				//	new ContainerControlledLifetimeManager());

				mContainer.RegisterType<object, FactoryExplorerView>(KnownViews.FACTORY_EXPLORER_VIEW);
				
				mRegionManager.RegisterViewWithRegion(RegionNames.INTEGRATION_REGION,
					() => mContainer.Resolve<FactoryExplorerView>());
			}
			catch (Exception ex)
			{
				ErrorHandler.OnError(ex, "Navigation error");
			}
		}
	}
}
