﻿
using System.Linq;
using System.Windows.Controls;
using Infragistics.Controls.Menus;
using Microsoft.Practices.Prism.Regions;
using SpreadsheetOwnerErrorSampleV3.Core.Prism;
using SpreadsheetOwnerErrorSampleV3.Core.Regions;

namespace SpreadsheetOwnerErrorSampleV3.Views
{
	/// <summary>
	/// Interaction logic for HostSummaryView.xaml
	/// </summary>
	public partial class FactoryExplorerView : IDockAware
	{
		private readonly IRegionManager mRegionManager;

		public FactoryExplorerView(IRegionManager regionManager)
		{
			mRegionManager = regionManager;
			InitializeComponent();
			Loaded += FactoryExplorerView_Loaded;
		}

		private void FactoryExplorerView_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			LisItems.Items.Add("Test 1");
			LisItems.Items.Add("Test 2");
		}

		private void FactoryExplorer_SelectedNodesCollectionChanged(object sender, NodeSelectionEventArgs e)
		{
			if (e.CurrentSelectedNodes.Count == 1)
				Tree.ScrollNodeIntoView(e.CurrentSelectedNodes[0]);
		}

		/// <inheritdoc />
		public string Header { get; set; } = "Navigation";

		/// <inheritdoc />
		public bool AllowClose { get; } = false;

		/// <inheritdoc />
		public bool IsPinned { get; } = true;

		/// <inheritdoc />
		public bool IsSelected { get; set; }

		private void LisItems_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			var selectedName = LisItems.SelectedValue as string;
			if (string.IsNullOrEmpty(selectedName))
				return;

			mRegionManager.RequestNavigate(RegionNames.MAIN_REGION, KnownViews.EDITOR_VIEW);
		}
	}
}